image: rikorose/gcc-cmake:latest

stages:
  - build
  - pages

cache:

build:
  stage: build
  script:
    - gcc --version
    - make debug
    - make release

pages:
  stage: build
  image: tsgkadot/docker-doxygen
  script:
    - cd doc && doxygen Doxyfile && cd ..
    - pwd && ls -aHl
    - mv doc/html/ public/
  artifacts:
    paths:
      - public
